Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.nio.protocol
Class SimpleNHttpRequestHandler

    java.lang.Object
      org.apache.http.nio.protocol.SimpleNHttpRequestHandler

All Implemented Interfaces:
  NHttpRequestHandler

Deprecated. (4.2) use `BasicAsyncRequestHandler`

    @Deprecated
    public abstract class SimpleNHttpRequestHandler

extends Object
implements NHttpRequestHandler

A simple implementation of `NHttpRequestHandler` that abstracts away the need to use `NHttpResponseTrigger`. Implementations need only to implement `handle(HttpRequest, HttpResponse, HttpContext)`.

Since:
  4.0

Constructor Summary
`SimpleNHttpRequestHandler()` Deprecated.

Method Summary
`abstract void` | `handle(HttpRequest request, HttpResponse response, HttpContext context)` Deprecated.
`void` | `handle(HttpRequest request, HttpResponse response, NHttpResponseTrigger trigger, HttpContext context)` Deprecated. Initiates processing of the request.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.http.nio.protocol.NHttpRequestHandler
`entityRequest`

Constructor Detail

### SimpleNHttpRequestHandler

    public SimpleNHttpRequestHandler()

  Deprecated.

Method Detail

### handle

    public final void handle(HttpRequest request,
                             HttpResponse response,
                             NHttpResponseTrigger trigger,
                             HttpContext context)
                      throws HttpException,
                             IOException

  Deprecated.
  Description copied from interface: `NHttpRequestHandler`
  Initiates processing of the request. This method does not have to submit a response immediately. It can defer transmission of the HTTP response back to the client without blocking the I/O thread by delegating the process of handling the HTTP request to a worker thread. The worker thread in its turn can use the instance of `NHttpResponseTrigger` passed as a parameter to submit a response as at a later point of time once content of the response becomes available.

  Specified by:
    `handle` in interface `NHttpRequestHandler`
  Parameters:
    `request` - the HTTP request.
    `response` - the HTTP response.
    `trigger` - the response trigger.
    `context` - the HTTP execution context.
  Throws:
    `HttpException` - in case of HTTP protocol violation or a processing problem.
    `IOException` - in case of an I/O error.

### handle

    public abstract void handle(HttpRequest request,
                                HttpResponse response,
                                HttpContext context)
                         throws HttpException,
                                IOException

  Deprecated.
  Throws:
    `HttpException`
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.